version: '3.4'
services:
    api:
        environment:
            - NODE_ENV=development
            - SALT_ROUNDS=10
            - JWT_SECRET=a52d4c1a8e4e4089a62fbe3ae1762d6f
            - JWT_TOKEN_LIFE=1h
            - JWT_REFRESH_SECRET=a52d4c1a8e4e4089a62fbe3ae1762d6f1
            - JWT_REFRESH_TOKEN_LIFE=24h
            - JWT_REFRESH_TOKEN_LIFE_PATIENT=24h
            - PHI_JWT_SECRET=a52d4c5a8e4e4089a62fbe3ae6762d6f
            - PHI_JWT_TOKEN_LIFE=5m
            - SENDGRID_APIKEY=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
            - HOST=mhmdbdev.postgres.database.azure.com
            - PORT=5432
            - DB_USERNAME=mhmadmindev@mhmdbdev
            - PASSWORD=BFRxrtgmU5FPJAtA
            - DATABASE=api
            - MAIL_DRIVER=smtp
            - MAIL_HOST=email-smtp.us-east-1.amazonaws.com
            - MAIL_PORT=587
            - MAIL_USERNAME=AKIAY4XOU6MS3574AMPP
            - MAIL_PASSWORD=BE0f984agCJ2kqpHVnh2LpCrwzgYfYnmjeg36JlMUpd1
            - MAIL_ENCRYPTION=ssl
            - CC_MAIL=muneeb.mukhthar@cabotsolutions.com
            - EZCONSULT_APPID=970158c750eb48f3a070672e26364c5d
            - EZCONSULT_APP_CERTIFICATE=dc79ad115aa945d6ab6b601982bd8b1c
            - AWS_ACCESS_KEY=AKIA5SEETXL5YEUHPAHO
            - AWS_SECRET_ACCESS_KEY=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
            - AWS_REGION=us-east-1
            - BLOB_STORAGE_ACCOUNT=myhealingmatedevelopment
            - BLOB_STORAGE_KEY=LFs2wX6jvTa8dTcQhPLYt7S8p9phpG6L5XY5mhhaUQOlefTf95ocmkdrnVUn3uX15C9204sIQLES+ASt8YQN4w==
            - BLOB_STORAGE_PUBLIC_URL=https://myhealingmatestaging.blob.core.windows.net/
            - PRIVATE_CONTAINER=private
            - FIREBASE_SERVER_KEY=AAAAAwM0qtY:APA91bFsXlE7stTDLdhb3sa8zag5mqEbL6K3Zu936ntVDi0H-HaTb118dFN9fN-rUWaM_LFqC8jSMI-8kZOj6-wJkQgcsfe46WRz8viRfjZK6RvpDst62FKx4qine-KsVJ41c8CKAzOd
            - FIREBASE_SENDER_ID=12938685142
            - PROD_TWILIO_ACCOUNT_SID=AC031890105291d8ba237dd7827d1131e5
            - PROD_TWILIO_AUTH_TOKEN=8d43c75882aee065e517be73568c7540
            # - API_URL=https://ezconsultapi.cabotprojects.com            
            - PHI_URL=http://ezconsultapi-phi.cabotprojects.com
            - PWA_URL=https://ezconsult-pwa.cabotprojects.com
            - PHYSICIAN_SIGNUP=d-666394fb26a74a79b3f53691efc8cf73
            - MANAGER_SIGNUP=d-4529848b772a42e8ba24e94302054df2
            - SUPERADMIN_SIGNUP=d-42645ab5296a46a2853b40806e712d34
            - FORGET_PASSWORD=d-e7fda5cc91084c39a807421df170007f
            - INVITE_PATIENT=d-8cfbe98416d240778d1ebb62d910bcc5
            - ASSETS_URL=https://ezconsultstaging.blob.core.windows.net/public/assets/
            - CLINIC_IMAGES_URL=https://ezconsultstaging.blob.core.windows.net/public/
            - STRAPI_URL=https://cms-staging.myhealingmate.com/
            - FORGOT_PASSWORD_URL=https://admin-development.myhealingmate.com/register?token=
            - CONTENT_MODERATOR_ENDPOINT=https://centralindia.api.cognitive.microsoft.com/contentmoderator/moderate/v1.0/ProcessText/Screen?autocorrect=true&PII=false&classify=true
            - OCP_APIM_SUBSCRIPTION_KEY=ac003721551d493bb2f87bcf0ca09a95
      
            - STRIPE_PRIVATE_KEY=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
            - APP_ID=b7f76e0ce44d4781a2944eb5be3f2677
            - APP_CERTIFICATE=10ac0856eab842498b9cd2d2f70fed92
            - EXPERT_ADMIN_SET_PASSWORD_URL=https://clinic-development.myhealingmate.com/resetPassword?token=
            - EXPERT_PHYSICIAN_SET_PASSWORD_URL=https://mhm-expertwebapp-public.cabotprojects.com/resetPassword?token=
            - EXPERT_APP_URL:https://mhm-expertwebapp-public.cabotprojects.com
            - CLINIC_ADMIN_APP_URL:https://clinic-development.myhealingmate.com
            - COMMUNITY_ADMIN_APP=https://admin-development.myhealingmate.com
            - PATIENT_TOKEN_EXPIRY_TIME=30d
            - EXPERT_TOKEN_EXPIRY_TIME=24h
            - MARKETING_WEBSITE_URL=https://development.myhealingmate.com

            - CASHFREE_CLIENT_ID=TEST10039872add3b40a03310bc8ceb527893001
            - CASHFREE_CLIENT_SECRET=TESTa329d0b6e3d7dc417d3b7491fb38167dd2550d66
            - CASHFREE_BASE_URL=https://sandbox.cashfree.com/pg
            - CASHFREE_API_VERSION=2022-09-01
            - API_URL=https://api-development.myhealingmate.com/v1.0.0/api

            - PHONEPE_BASE_URL=https://api-preprod.phonepe.com/apis/pg-sandbox
            - PHONEPE_API_KEY=aeed1568-1a76-4fa4-9f47-3e1c81232660
            - PHONEPE_MERCHANT_ID=PHONEPEPGUAT8
            - PHONEPE_SALT_INDEX=1            
            
            - AGORA_API_KEY=52e28ca728844438b37b025fbf58cba9
            - AGORA_API_SECRET=f452951639284982831454d14e9b5169
            - AGORA_APP_ID=b7f76e0ce44d4781a2944eb5be3f2677
            - AGORA_API_BASE_URL=https://api.agora.io
            
            - AGENT_PHONE_1=
            - AGENT_PHONE_2=

            
            - CMS_DB_USERNAME=mhmadmin@myhealingmate-staging
            - CMS_HOST=myhealingmate-staging.postgres.database.azure.com
            - CMS_DATABASE=mhm-cms
            - CMS_PASSWORD=n45PVTCknEZ89cDZ
        
